<div class="content">
    <div class="container-fluid">       
        <div class="row">
            <div class="col-md-12">
                <div class="card ">
                    <div class="card-header card-header-info card-header-icon">
                        <div class="card-icon">
                            <i class="material-icons">location_on</i>
                        </div>
                        <h4 class="card-title">{{#ipBlockingTranslator 'BloqueadordeIP' lang}}{{/ipBlockingTranslator}}</h4>
                    </div>
                    <div class="card-body">
                         <div class="table-responsive">
                            <table id="tableIpBlocking" class="table" cellspacing="0" width="100%"
                                style="width:100%">
                                <thead>
                                    <tr>
                                        <th>{{#ipBlockingTranslator 'IP' lang}}{{/ipBlockingTranslator}}</th>
                                        <th>{{#ipBlockingTranslator 'Geolocalización' lang}}{{/ipBlockingTranslator}}</th>
                                        <th>{{#ipBlockingTranslator 'ZonaHoraria' lang}}{{/ipBlockingTranslator}}</th>
                                        <th>{{#ipBlockingTranslator 'Acción' lang}}{{/ipBlockingTranslator}}</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>{{#ipBlockingTranslator 'IP' lang}}{{/ipBlockingTranslator}}</th>
                                        <th>{{#ipBlockingTranslator 'Geolocalización' lang}}{{/ipBlockingTranslator}}</th>
                                        <th>{{#ipBlockingTranslator 'ZonaHoraria' lang}}{{/ipBlockingTranslator}}</th>
                                        <th>{{#ipBlockingTranslator 'Acción' lang}}{{/ipBlockingTranslator}}</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>        
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{{>footer}}

<script>


    $(document).ready(function(){
        $('#li-IPblocking').addClass('active')
    })
    $("#tableIpBlocking").dataTable({
        processing: true,
        "language": {
            "url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/English.json"
        },
        ajax: {
            type: "POST",
            url: '/requirements/AllIPblocking',
            data: ''
        },
        order: [[3, 'desc']],   
        columns: [ 
           {'data':'ip', render:function(data, type, row){
              if(row.estatus == 1){
                 return `${data}<br><span class="badge badge-success">{{#ipBlockingTranslator 'IPHabilitada' lang}}{{/ipBlockingTranslator}}</span>`;
              }else{
                 return `${data}<br><span class="badge badge-warning">{{#ipBlockingTranslator 'IPDeshabilitada' lang}}{{/ipBlockingTranslator}}</span>`;
              }
           
           }},
           {'data':'idblockip', render:function(data, type, row){
              return `<i class="material-icons">public</i>${row.continente}<br>
                      <i class="material-icons">map</i>${row.pais}<br>
                      <i class="material-icons">south_america</i>${row.region} - ${row.capital}<br>
                      <i class="material-icons">location_city</i>${row.ciudad}<br>
                      <i class="material-icons">share_location</i>${row.latitud}-${row.longitud}<br>`;
           }},
           {'data':'idblockip', render:function(data, type, row){
              return `<i class="material-icons">history_toggle_off</i>${row.timeZone}<br>
                      <i class="material-icons">diversity_3</i>${row.org}<br>
                      <i class="material-icons">signal_cellular_alt</i>${row.isp}<br>
                      <i class="material-icons">travel_explore</i>${row.utc}<br>
                      <i class="material-icons">date_range</i>${row.Fecha}<br>`;
           }},
           {'data':'idblockip', render:function(data, type, row){
             let btn = '';
             let estatus = row.estatus;
             let estatus2;
              if(estatus == 1){
                estatus2 = 0;
                btn = ` <button class="btn btn-warning btn-round btn-fab"><i class="material-icons" onclick = "ipStatus(${data},${estatus2})">location_off</i></button>`
              }else{
                estatus2 = 1;
                btn = ` <button class="btn btn-success btn-round btn-fab"><i class="material-icons" onclick = "ipStatus(${data},${estatus2})">where_to_vote</i></button>`
              }
              let response = `<div class="form-button-action" style = "display:flex;"> 
                                    ${btn}
                                    <button class="btn btn-danger btn-round btn-fab"><i class="material-icons" onclick = "delteIP(${data})">do_not_disturb_on</i></button>
                                </div>`;
              return response;
           }}
        ]  

    })
    function updateListAllIpBlocking() {
       var table = $('#tableIpBlocking').DataTable();
      table.ajax.reload();
    }

    function ipStatus(id,status){
        let msg = '';
        if(status == 1){
            msg = `{{#ipBlockingTranslator 'SiSeleccionaEstaOpciónLaIpQuedaraDeshabilitada' lang}}{{/ipBlockingTranslator}}`
        }else{
            msg = `{{#ipBlockingTranslator 'SiSeleccionaEstaOpciónLaIpQuedaraHabilitada' lang}}{{/ipBlockingTranslator}}`
        }
        Swal.fire({
            title: msg,
            showDenyButton: true,
            showCancelButton: false,
            confirmButtonText: `{{#ipBlockingTranslator 'Si' lang}}{{/ipBlockingTranslator}}`,
            denyButtonText: `{{#ipBlockingTranslator 'Cancelar' lang}}{{/ipBlockingTranslator}}`
        }).then((result) => {
           if(result.isConfirmed) {

                 $.ajax({
                    type: 'POST',
                    url: '/requirements/updateStatusIPblocking',
                    data: {idblockip  : id, estatus : status},
                    dataType: 'json',
                    async: true,
                 }).done(function ajaxDone(res) {
                    updateListAllIpBlocking()
                 }) 
             
           }else if (result.isDenied) {

           }

        })
    }


    function delteIP(ip){
      
        $.ajax({
            type: 'POST',
            url: '/requirements/deleteIPblocking',
            data: {idblockip : ip},
            dataType: 'json',
            async: true,
        }).done(function ajaxDone(res) {
           updateListAllIpBlocking()
        })


    }
</script>

</body>
</html>